aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMilosz Wasilewski <milosz.wasilewski@foundries.io>2024-04-25 14:07:52 +0100
committerAnders Roxell <anders.roxell@gmail.com>2024-04-25 21:29:54 +0200
commit2a6475c59449249cb281b8abff5b4df0d6407674 (patch)
tree85a946f29f9e083f74d7849ae8d72db6a59d4763
parent723fba859a4b28b0a123d21815eb78d3b4d8d39c (diff)
automated: linux: fix registration in aklite interruptHEADmaster
This patch fixes call to lmp-device-auto-register in aklite-download-interupt tests. The script has to be called from systemd service which sets up proper variables. Signed-off-by: Milosz Wasilewski <milosz.wasilewski@foundries.io>
-rwxr-xr-xautomated/linux/aklite-download-interrupt/aklite-download-interrupt.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/automated/linux/aklite-download-interrupt/aklite-download-interrupt.sh b/automated/linux/aklite-download-interrupt/aklite-download-interrupt.sh
index 022e0ea3..d791b4ab 100755
--- a/automated/linux/aklite-download-interrupt/aklite-download-interrupt.sh
+++ b/automated/linux/aklite-download-interrupt/aklite-download-interrupt.sh
@@ -66,8 +66,7 @@ find /sysroot/ostree/repo/ -samefile $(find /usr/ -name "*vmlinuz*") -delete
set +x
# run autoregistration script
-lmp-device-auto-register
-check_return "lmp-device-auto-register" || error_fatal "Unable to register device"
+systemctl enable --now lmp-device-auto-register || error_fatal "Unable to register device"
# wait for 'download-pre' signal
SIGNAL=$(</var/sota/ota.signal)